package com.muyu.resp;

import com.muyu.domain.EngineMaintenance;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.resp
 * @Project：cloud-etl-engine
 * @name：EngineReq
 * @Date：2024/8/28 18:49
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EngineReq {
    /**
     * 编号
     */
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 类型
     */
    private Integer type;
    /**
     * 作用域
     */
    private Integer scope;
    /**
     * 是否激活
     */
    private String isActivate;
    /**
     * 状态
     */
    private String status;
    /**
     * 引擎数据
     */
    private List<EngineMaintenance> engineMaintenanceList;
}
