package com.muyu.mapper;

import com.muyu.domain.EngineType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.mapper
 * @Project：cloud-etl-engine
 * @name：TypeMapper
 * @Date：2024/8/23 22:36
 */
@Mapper
public interface TypseMapper {

    List<EngineType> list();

    Integer add(EngineType type);

    Integer update(EngineType type);

    Integer delete(@Param("id") Integer id);

    String selectByName(@Param("name") String name);
}
